<template>
    <v-container>
        <v-form
    ref="form"
    v-model="valid"
    lazy-validation
  >
  <v-row>
    <v-col cols="12" md="1"></v-col>
    <v-col cols="12" md="10">
    <v-row>
    <!-- имя -->
    <v-text-field
      v-model="user_name"
      :rules="requiredField"
      label="Искать..."
      required
      class="mr-3"
    ></v-text-field>
    <!-- бренд -->
    <v-select
      v-model="brand_name"
      :items="brands"
      :rules="[v => !!v || 'Обязательное поле']"
      label="Бренд"
      required
      class="ml-3"
    ></v-select>
</v-row>
<v-row>
<v-checkbox
  v-model="Cherokee"
  label="Cherokee"
  color="cyan darken-4"
  value="red"
  hide-details
  class="mr-3"
></v-checkbox>
<v-checkbox
  v-model="nine_eleven"
  label="911"
  color="cyan darken-4"
  value="red"
  hide-details
  class="mr-3"
></v-checkbox>
<v-checkbox
  v-model="i540"
  label="540i"
  color="cyan darken-4"
  value="red"
  hide-details
  class="mr-3"
></v-checkbox>
<v-checkbox
  v-model="q8"
  label="q8"
  color="cyan darken-4"
  value="red"
  hide-details
  class="mr-3"
></v-checkbox>
</v-row>
  </v-col>
    <v-col cols="12" md="1"></v-col>
  </v-row>
  <v-row>
    <v-col cols="12" md="1"></v-col>
    <v-col cols="12" md="10">
    <v-btn
      color="error"
      class="mr-4"
      @click="reset"
    >
      Очистить форму
    </v-btn>
    <v-btn class="amber lighten-1">Применить</v-btn>
    </v-col>
    <v-col cols="12" md="1"></v-col>
    </v-row>
  </v-form>
    </v-container>
</template>
  
  <script>
  
  export default {
    data: () => ({
        valid: true,

        user_name: '',
        requiredField: [
          v => !!v || 'Обязательное поле',
        ],
        brand_name: null,
        brands: [
            'Jeep',
            'Chevrolet',
            'Lada',
            'Reno',
            'Citroen',
            'Skoda',
            'Volksvagen',
            'Audi',
            'Porsche',
            'BMW',
        ],
        Cherokee: null,
        nine_eleven: null,
        i540: null,
        q8: null,
    }),
    methods: {
        addAd() {
            const reader = new FileReader()
            reader.onload = () => {
                let car = {
                    id: Date.now(),
                    user_name: this.user_name,
                    phone_number: this.phone_number,
                    brand_name: this.brand_name,
                    model_name: this.model_name,
                    title: this.title,
                    cost: this.cost,
                    engine_volume: this.engine_volume,
                    year_of_issue: this.year_of_issue,
                    color: this.color,
                    description: this.description,
                    photo: reader.result,
                }
                this.$emit('addAd', car)
            }
            reader.readAsDataURL(this.img)
        },
        validate () {
        this.$refs.form.validate()
        },
        reset () {
          this.$refs.form.reset()
        },
        resetValidation () {
          this.$refs.form.resetValidation()
        },
    }
  };
  </script>

<style scoped>

</style>








